Class | EventAlert
In: | app/models/event_alert.rb
Parent: | ActiveRecord::Base

Clase para las alertas sobre eventos que se envían a periodistas y

     a responsables de sala y operadores de streaming en el caso de eventos con streaming

### Methods

exists_previous_sent_alert?

### Public Instance methods

exists_previous_sent_alert?()

Indica si este evento ya ha sido enviado anteriormente

[Source]

        # File app/models/event_alert.rb, line 15
    15:   def exists_previous_sent_alert?
    16:     EventAlert.exists?(["event_id = ? and spammable_id = ? and spammable_type = ? and version < ? AND sent_at IS NOT NULL", self.event_id, self.spammable_id, self.spammable_type, self.version])
    17:   end

[Validate]